<?php
/***************************************************************************
 *                               bedankomat_install.php
 *                               ----------------------
 *
 *   Bedankomat 0.2.x SQL-Installer
 *
 *   Packed by Supersonic
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include_once($phpbb_root_path . 'extension.inc');
include_once($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//


if( !$userdata['session_logged_in'] )
{
	$header_location = ( @preg_match('/Microsoft|WebSTAR|Xitami/', getenv('SERVER_SOFTWARE')) ) ? 'Refresh: 0; URL=' : 'Location: ';
	header($header_location . append_sid("login.$phpEx?redirect=bedankomat_install.$phpEx", true));
	exit;
}

if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_MESSAGE, 'Du bist nicht berechtigt diese Seite aufzurufen');
}


$page_title = ' Update der Datenbank ';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

echo '<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">';
echo '<tr><th>Update der Datenbank</th></tr><tr><td><span class="genmed"><ul type="circle">';

$sql = array();

$sql[] = " CREATE TABLE "  . $table_prefix . "bedankomat (
  `thx_id` mediumint(8) NOT NULL auto_increment,
  `user_id` mediumint(8) NOT NULL default '0',
  `topic_id` mediumint(8) NOT NULL default '0',
  PRIMARY KEY  (`thx_id`)
) TYPE=MyISAM";

$sql[] = "ALTER TABLE " . $table_prefix . "topics ADD COLUMN topic_bedankomat TINYINT(1) DEFAULT '1' NOT NULL";
$sql[] = "ALTER TABLE " . $table_prefix . "forums ADD forum_bedankomat tinyint (1) NOT NULL default '1'";


for( $i = 0; $i < count($sql); $i++ )
{
	if( !$result = $db->sql_query ($sql[$i]) )
	{
		$error = $db->sql_error();

		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#FF0000"><b>Fehler:</b></font> ' . $error['message'] . '</li><br />';
	}
	else
	{
		echo '<li>' . $sql[$i] . '<br /> +++ <font color="#00AA00"><b>Erfolgreich beendet</b></font></li><br />';
	}
}


echo '</ul></span></td></tr><tr><td class="catBottom" height="28"> <span class="gensmall" >Aktualisierung der Datenbank beendet! Bitte die Datei schnellstmglich lschen! </span></td></tr>';

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>